com.ihr.xbrl.dts

## Interface HasAdditionalEqualityForReassignation

- All Known Implementing Classes:
    AutoFill, CalculationLinkbase, DefinitionLinkbase, FlMessage, FootnoteLinkbase, FormulaLinkbase, GenericLinkbase, LabelLinkbase, MapperContext2, MapperContext3, MapperContextBase, MapperPeriod2, MapperPeriod3, MapperPeriodBase, OtherLinkbase, PresentationLinkbase, ReferenceLinkbase, RenderHints, StaticRole, VersionLinkbase, XBRLAncestorFilter, XBRLAndFilter, XBRLArc, XBRLArcroleRef, XBRLArcroleType, XBRLAspectCoverFilter, XBRLAspectNode, XBRLAssertion, XBRLAttribute, XBRLBreakdown, XBRLClosedDefinitionNode, XBRLConceptBalanceFilter, XBRLConceptCustomAttributeFilter, XBRLConceptDataTypeFilter, XBRLConceptFilterAbstract, XBRLConceptNameFilter, XBRLConceptPeriodTypeFilter, XBRLConceptRelationFilter, XBRLConceptRelationshipNode, XBRLConceptSubstitutionGroupFilter, XBRLConsistencyAssertion, XBRLContext, XBRLCustomFunction, XBRLCustomFunctionImplementation, XBRLDefinitionNode, XBRLDimensionFilterAbstract, XBRLDimensionRelationshipNode, XBRLDimensionsContainer, XBRLDocument, XBRLDocumentation, XBRLEntity, XBRLExistenceAssertion, XBRLExplicitDimensionFilter, XBRLExtendedLink, XBRLFact, XBRLFactItem, XBRLFactNonNumeric, XBRLFactNumeric, XBRLFactTuple, XBRLFormula, XBRLFormulaFilterBase, XBRLFormulaResource, XBRLGeneralFilter, XBRLGeneralMeasuresFilter, XBRLIdentifierFilter, XBRLImport, XBRLInclude, XBRLInstance, XBRLItem, XBRLLabelResource, XBRLLinkbase, XBRLLinkbaseRef, XBRLLocationFilter, XBRLLocator, XBRLMatchAbstractFilter, XBRLMatchConceptFilter, XBRLMatchDimensionFilter, XBRLMatchEntityIdentifierFilter, XBRLMatchLocationFilter, XBRLMatchNonXDTScenarioFilter, XBRLMatchNonXDTSegmentFilter, XBRLMatchPeriodFilter, XBRLMatchScenarioFilter, XBRLMatchSegmentFilter, XBRLMatchUnitFilter, XBRLMeasure, XBRLOpenDefinitionNode, XBRLOrFilter, XBRLParentFilter, XBRLPeriod, XBRLPeriodEndFilter, XBRLPeriodFilter, XBRLPeriodFilterAbstract, XBRLPeriodForeverFilter, XBRLPeriodInstantDurationFilter, XBRLPeriodInstantFilter, XBRLPeriodStartFilter, XBRLPointerOfARelationship, XBRLRegExpIdentifierFilter, XBRLRegExpSchemeFilter, XBRLRelationship, XBRLRelationshipNode, XBRLRelativeFilter, XBRLResource, XBRLResultMessage, XBRLRoleAndArcroleTypes, XBRLRoleRef, XBRLRoleType, XBRLRuleNode, XBRLScenario, XBRLScenarioFilter, XBRLSegment, XBRLSegmentFilter, XBRLSiblingFilter, XBRLSimpleLink, XBRLSingleMeasureFilter, XBRLSpecificIdentifierFilter, XBRLSpecificSchemeFilter, XBRLTable, XBRLTableResource, XBRLTaxonomy, XBRLTuple, XBRLTypedDimensionFilter, XBRLUnit, XBRLUsedOn, XBRLValueAssertion, XBRLValueNilFilter, XBRLValuePrecisionFilter, XBRLVariableEqualityDefinition, XBRLVariableFact, XBRLVariableGeneral, XBRLVariableParameter, XBRLVariablePrecondition, XBRLVariableResource, XBRLVariableSetResource, XLinkElement, XMLDocumentURI, XMLElementDefinition, XMLFragment

      public interface HasAdditionalEqualityForReassignation

  The formula processor adds a requirement to the XBRL API in order to compare generated nodes with Saxonica XML nodes produced when the parent document's nodes are rebuild. The use case is when the instance document is created from the container, it contains only a container reference, but no assigned surrounding XML document. If the instance is going to be sent to the formula processor. the formula processor requires an updated surrounding XML representation of the instance in order to let XPath works. While this is fine for the entire instance document, some methods requires access to specific facts in the instance. Those facts are unconnected with the new generated XML Saxonica model. The XMLFragment class (that provides the surrounding XdnNode for every XMLFragment) now is able to reconnect the XMLFragment with the generated XdmNode for a document. but this requires comparison of the XdmNode generated documents and the XMLFragment nodes. In turn, that comparison may fail for attributes dynamically created such as the contextRef and the unitRef so not only the XMLFragment requires implementing the comparison method but all other objects up in the hierarchy that provides such content. This interface defines a method that shall be implemented by classes adding content to a node during the node serialization time
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `resolve_equal2(net.sf.saxon.s9api.XdmNode otherXdmNode)` resolves content that is added by this XMLFragment during XMLNode serialization and may not be available to the lower levels in the hierarchy.

- - ### Method Detail

    - #### resolve_equal2

          boolean resolve_equal2(net.sf.saxon.s9api.XdmNode otherXdmNode)

      resolves content that is added by this XMLFragment during XMLNode serialization and may not be available to the lower levels in the hierarchy.
      Parameters:
        `otherXdmNode` - the other xdm node
      Returns:
        true, if successful